Name:           python-importlib-metadata
Version:        4.12.0
Release:        2%{?dist}
Summary:        Library to access the metadata for a Python package

License:        Apache-2.0
URL:            https://importlib-metadata.readthedocs.io/
Source0:        %{pypi_source importlib_metadata}
Patch0:         setuptools_req.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# Test dependencies
# Not loaded via %%pyproject_buildrequires -x testing because upstream
# uses a lot unnecessary packages and some of them are not in Fedora.
BuildRequires:  python3-test
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyfakefs)

%description
Library to access the metadata for a Python package.
This package supplies third-party access to the functionality
of importlib.metadata including improvements added to subsequent
Python versions.


%package -n     python3-importlib-metadata
Summary:        %{summary}

%description -n python3-importlib-metadata
Library to access the metadata for a Python package.
This package supplies third-party access to the functionality
of importlib.metadata including improvements added to subsequent
Python versions.


%prep
%autosetup -n importlib_metadata-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files importlib_metadata

%check
# Ignored file uses pytest_perf not available in Fedora
# test_find_local tries to install setuptools from PyPI
%pytest --ignore exercises.py -k "not test_find_local"

%files -n python3-importlib-metadata -f %{pyproject_files}
%license LICENSE
%doc README.rst

%changelog
* Thu Jan 05 2023 Frank Crawford <frank@crawford.emu.id.au> - 4.12.0-2
- SPDX license update

* Wed Jan 04 2023 Frank Crawford <frank@crawford.emu.id.au> - 4.12.0-1
- Update to 4.12.0
Resolves: rhbz#2158021

* Tue Aug 23 2022 Frank Crawford <frank@crawford.emu.id.au> - 4.6.3-2
- First release for EPEL9
Resolves: rhbz#2087565

* Mon Aug 02 2021 Lumír Balhar <lbalhar@redhat.com> - 4.6.3-1
- Update to 4.6.3
Resolves: rhbz#1988649

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jul 07 2021 Lumír Balhar <lbalhar@redhat.com> - 4.6.1-1
- Update to 4.6.1
Resolves: rhbz#1979098

* Wed Jun 30 2021 Lumír Balhar <lbalhar@redhat.com> - 4.6.0-1
- Unretired and updated package

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.18-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jun 26 2019 Miro Hrončok <mhroncok@redhat.com> - 0.18-1
- Initial package
